> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/api-reference/rest-api/store-profile.md).

# Store Profile

- [Get store profile](https://docs.ecwid.com/api-reference/rest-api/store-profile/get-store-profile.md): Get basic information about an Ecwid store: settings, store location, email, etc.
- [Update store profile](https://docs.ecwid.com/api-reference/rest-api/store-profile/update-store-profile.md): Update main store settings, for example: store location, available languages, contact info, etc.
- [Upload store logo image](https://docs.ecwid.com/api-reference/rest-api/store-profile/upload-store-logo-image.md): Update one of the store logo image with an image URL passed as the 'externalUrl' query parameter.
- [Delete store logo image](https://docs.ecwid.com/api-reference/rest-api/store-profile/delete-store-logo-image.md): Delete one of the store logo images.
- [Store reports](https://docs.ecwid.com/api-reference/rest-api/store-profile/store-reports.md)
- [Get store reports](https://docs.ecwid.com/api-reference/rest-api/store-profile/store-reports/get-store-reports.md): Get store stats used for creating reports in Ecwid admin.
- [Get latest store update stats](https://docs.ecwid.com/api-reference/rest-api/store-profile/store-reports/get-latest-store-update-stats.md)
- [Get deleted items history](https://docs.ecwid.com/api-reference/rest-api/store-profile/store-reports/get-deleted-items-history.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/api-reference/rest-api/store-profile.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
